/* ui_help.c: help submenu */

#include "ui.h"
#include "uit.h"

/* creates the Help dialog */
static Widget CreateHelpDialog(Widget parent, char *name)
{
  Widget helpBox = CreateDialog(parent, name);

  /* scrolled window around the help label */
  CreateScrolledWindow(helpBox, "helpScrollW", NULL, "helpLabel");
  return helpBox;
}

/* creates the Help menu */
void CreateHelpMenu(Widget parent)
{
  Widget helpMenu = CreateHelpSubMenu(parent, "helpButton", "helpMenu");
  CreateCascadeDialog(helpMenu, "helpButton", CreateHelpDialog, "helpBox", DEFAULT_CALLBACK, NULL);
}

